FROM alpine:latest

ADD entrypoint /entrypoint
RUN chmod +x ./entrypoint

RUN apk update && apk add npm

RUN mkdir /server

ADD node_modules /server/node_modules
ADD package-lock.json /server/package-lock.json
ADD package.json /server/package.json

ADD exthernal-login-api /server/exthernal-login-api
ADD exthernal-ttc-api /server/exthernal-ttc-api

ADD start-accountingwep.sh /start-accountingwep.sh
ADD start-login.sh /start-login.sh

RUN chmod +x /start-accountingwep.sh
RUN chmod +x /start-login.sh

ENTRYPOINT ["/entrypoint"]
